Skip to main content
POST
/components endpoints are only available when using user API keys, not yet for workspace OAuth tokens.
Before you can create a source using the REST API, you must first create a component - the code for the source. This route returns the components id, code, configurable_props, and other metadata you’ll need to deploy a source from this component.

Endpoint

Parameters

component_code
string
The full code for a Pipedream component.

component_url
string
A reference to the URL where the component is hosted.For example, to create an RSS component, pass https://github.com/PipedreamHQ/pipedream/blob/master/components/rss/sources/new-item-in-feed/new-item-in-feed.ts.

One of component_code or component_url is required. If both are present, component_code is preferred and component_url will be used only as metadata to identify the location of the code.